Infrastructure - Story #2651

refactor REST URL endpoints
2012-04-26 12:21 - Dave Vieglais

Status: Closed
Priority: Normal
Assignee: Dave Vieglais
Category: Documentation

Target version:

Story Points:

Start date:

Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

The DataONE MN and CN REST URL endpoints have emerged somewhat organically and should be refactored to provide

consistency with naming and plurality.

It was decided (2012-04-25) to delay the refactoring until a later release (perhaps v1.4) because:

1. The current implementation works, and so refactoring would be primarily for cosmetic reasons offering no functional

improvements.

2. There is insufficient time to make the changes and still expect to maintain a release schedule
3. Any changes made now would be to minimize impact on the release process, and so would not be a full refactoring of the REST

endpoints, thus it would be necessary to revisit later anyway.

4. PIDs should be properly URL path encoded and so their location within URLs should not matter. However, ensuring that
encoded paths are passed through to the node service applications involves configuration of web servers different from their
default, and may have different behavior across different versions of a web server product. Hence thorough testing of all
services in all server / environment combinations should be performed.

5. Changes to REST endpoints would require other node implementors to follow suit ASAP, and this may impose an unreasonable

burden on those development activities.

History

#1 - 2012-04-26 12:21 - Dave Vieglais
- Milestone changed from None to CCI-1.4

#2 - 2014-10-02 17:54 - Dave Vieglais
- Status changed from New to Closed
- Start date deleted (2012-04-26)

- translation missing: en.field_remaining_hours set to 0.0
